disp('GET AN HANDLE TO THE SERVICE');
h = actxserver('MVideoSvc.Grabber','MEDUSA'); 
disp('LIST SERVICE PROPERTIES');
get(h)
disp('LIST SERVICE METHODS');	
invoke(h)
disp('LIST AVAILABLE ACQUISITION MODES');
invoke(h,'list_modes');
disp('CHOOSE ACQUISISTION MODE');
h.mode = 'input0rgb512x768';
disp('START GRABBING SERVICE');
invoke(h,'start');
disp('GRAB IMAGE WITH SPECIFIC SUBSAMPLING (4 IN THIS CASE)');		
invoke(h,'grab', 4);
disp('GET IMAGE FROM SERVER. IMAGE COLORS CHANNELS ARE SEPARATED BY PLANES');
disp('THE GREEN CHANNEL CONTAINS THE LEFT CAMERA IMAGE');
disp('THE RED CHANNEL CONTAINS THE RIGHT CAMERA IMAGE');
left_img = h.green;
right_img = h.red;
disp('SHOW IMAGES');
figure; imshow(left_img);set(gcf,'Name','Left Camera');
figure; imshow(right_img);set(gcf,'Name','Right Camera');
disp('STOP GRABBING SERVICE');
invoke(h,'stop');
disp('TERMINATE SESSION');
release(h);
